Description

A very necessary thing, which is so lacking. When someone attaches an image or a SWF to the ticket, you need to download a file
that would see it.

Can you make a feature allowing to view attached images and SWF files directly into the ticket without downloading?

History

#1 - 2011-01-14 09:10 - Ruben Kruiswijk

+1

#2 - 2011-01-14 09:13 - Ruben Kruiswijk

I think this could be implemented by simply load and view the images after clicking on a link. This keeps the layout clean for those who don't want to
load the images each time they open an issue but makes it easy for those who want to quickly show the pictures included.

#3 - 2011-01-14 11:39 - ll'ya Shakitko
Yes.

For example, it will be very convenient to view preview of the designer and flash developer without further action. This feature is likely to head, or an
art director, that would visually see the status of the graphic tasks.

Direct result of work or the source | get from the repository.

#4 - 2011-01-14 12:48 - Be Fio

While we're at it, why not show all text type of documents in the view as well (with ability to change it in user preferences to download or view it)? I'd
rather see it, although some people would rather download it, hence the feature to choose.

#5 - 2011-01-14 14:58 - Ammler _

simply edit your ticket again and include the now uploaded attachment with !path-to-image!

#6 - 2011-01-14 15:00 - Ammler _

hmm, that would need a special clause to allow editing last note for some time
#7 - 2011-01-15 15:55 - Jean-Philippe Lang
Marcel Gmdir wrote:
hmm, that would need a special clause to allow editing last note for some time

No need to edit the ticket after the attachement is added, just add limage-filename! when typing your ticket description/comment. This will show the
image attached to your post once it's submitted.

#8 - 2011-01-15 17:39 - ll'ya Shakitko
Jean-Philippe Lang wrote:

Marcel Gmar wrote:

hmm, that would need a special clause to allow editing last note for some time
No need to edit the ticket after the attachement is added, just add limage-filename! when typing your ticket description/comment. This will show
the image attached to your post once it's submitted.

1)

| know about it, but i need to explain this action to all designers... someone would forgot this.

It would be very convenient if you could push a button and see all the graphic attachment in ticket. Do you know how it looks in the mail, such as
gmail, when | receive a letter with pictures, | first of all, see previews of all images, and secondly, | can open each in a new window that is convenient,
in the third, can "get all attachment in one Rar / Zip archive".

2) What's about swf's? It very needed in flash-developement!

Thanks for ansvers! :)

#9 - 2011-04-05 17:28 - ll'ya Shakitko
- Status changed from New to Resolved

- % Done changed from 0 to 100

Realized in plugin: http://www.redmine.org/plugins/redmine_lightbox

#10 - 2013-01-15 22:30 - Jan Niggemann (redmine.org team member)

Closing this, status is resolved since 400 days and more (issue was last updated more than 400 days ago)...

#11 - 2013-01-15 22:37 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

2025-05-02 22


http://www.redmine.org/plugins/redmine_lightbox
http://www.tcpdf.org

